package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;

/**
 *  class CekKelengkapanAlkesDetail
 * 
 * @author shakato
 */
public class CekKelengkapanAlkesDetailVO extends BaseTransactionVO {
	
	@ManyToOne
	@JoinColumn(name = "ObjectSignOutOperationFk")
	@Caption(value = "ID SignOutOperation")
	@NotNull(message = "ID signOutOperation tidak boleh kosong")
	private SignOutOperationVO signOutOperation;
	
	@ManyToOne
	@JoinColumn(name = "ObjectCekKelengkapanAlkesFk")
	@Caption(value = "ID CekKelengkapanAlkes")
	@NotNull(message = "ID CekKelengkapanAlkes tidak boleh kosong")
	private CekKelengkapanAlkesVO cekKelengkapanAlkes;
	
	@ManyToOne
	@JoinColumn(name = "ObjectStatusLengkapTidakLengkapFk")
	@Caption(value = "ID StatusLengkapTidakLengkap")
	@NotNull(message = "ID StatusLengkapTidakLengkap tidak boleh kosong")
	private StatusLengkapTidakLengkapVO statusLengkapTidakLengkap;
	
	@Column(name = "Keterangan", nullable = true)
	@Caption(value = "Keterangan")
	private String keterangan;

	public SignOutOperationVO getSignOutOperation() {
		return signOutOperation;
	}

	public void setSignOutOperation(SignOutOperationVO signOutOperation) {
		this.signOutOperation = signOutOperation;
	}

	public CekKelengkapanAlkesVO getCekKelengkapanAlkes() {
		return cekKelengkapanAlkes;
	}

	public void setCekKelengkapanAlkes(CekKelengkapanAlkesVO cekKelengkapanAlkes) {
		this.cekKelengkapanAlkes = cekKelengkapanAlkes;
	}

	public StatusLengkapTidakLengkapVO getStatusLengkapTidakLengkap() {
		return statusLengkapTidakLengkap;
	}

	public void setStatusLengkapTidakLengkap(StatusLengkapTidakLengkapVO statusLengkapTidakLengkap) {
		this.statusLengkapTidakLengkap = statusLengkapTidakLengkap;
	}

	public String getKeterangan() {
		return keterangan;
	}

	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}
	
}